aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/travis-emscripten/build_emscripten.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/travis-emscripten/build_emscripten.sh')
-rwxr-xr-xscripts/travis-emscripten/build_emscripten.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/scripts/travis-emscripten/build_emscripten.sh b/scripts/travis-emscripten/build_emscripten.sh
index fd643429..f49ff5b2 100755
--- a/scripts/travis-emscripten/build_emscripten.sh
+++ b/scripts/travis-emscripten/build_emscripten.sh
@@ -40,6 +40,12 @@ if ! type git &>/dev/null; then
apt-get -y install git-core
fi
+if ! type wget &>/dev/null; then
+ # We need wget to install cmake
+ apt-get update
+ apt-get -y install wget
+fi
+
WORKSPACE=/root/project
# Increase nodejs stack size
@@ -67,6 +73,10 @@ rm -rf b2 libs doc tools more bin.v2 status
)
echo -en 'travis_fold:end:compiling_boost\\r'
+echo -en 'travis_fold:start:install_cmake.sh\\r'
+source $WORKSPACE/scripts/install_cmake.sh
+echo -en 'travis_fold:end:install_cmake.sh\\r'
+
# Build dependent components and solidity itself
echo -en 'travis_fold:start:compiling_solidity\\r'
cd $WORKSPACE